| invn.algo.orientation-bundle.asf - InvnAlgoASFLib documentation 1.1.1 Documentation on Algo ASF Library.

- Main Page
- Modules
- Data Structures

- Data Structures
- Data Fields

Data Fields
InvnAlgoASFOutput Struct Reference
AdvancedSensorFusion

AdvancedSensorFusion output structure (calibrated sensors and fusion output) More...

`#include <invn_algo_asf.h>`

## Data Fields
int32_t | mask
| mask to specify updated outputs
int32_t | acc_uncal_q16 [3]
| uncalibrated accelerometer (1 g = 0x1000)
int32_t | acc_cal_q16 [3]
| calibrated accelerometer (1 g = 0x1000)
int32_t | acc_bias_q16 [3]
| accelerometer bias (1 g = 0x1000)
int8_t | acc_accuracy_flag
| accelerometer accuracy from 0(non calibrated) to 3(well calibrated)
int32_t | gyr_uncal_q16 [3]
| uncalibrated gyroscope (1 dps = 0x1000)
int32_t | gyr_cal_q16 [3]
| calibrated gyroscope (1 dps = 0x1000)
int32_t | gyr_bias_q16 [3]
| gyro bias (1 dps = 0x1000)
int8_t | gyr_accuracy_flag
| gyro accuracy, from 0(non calibrated) to 3(well calibrated)
int32_t | mag_uncal_q16 [3]
| uncalibrated magnetometer (1uT = 1<<16)
int32_t | mag_cal_q16 [3]
| calibrated magnetometer (1uT = 1<<16)
int32_t | mag_bias_q16 [3]
| magnetometer bias (1uT = 1<<16)
int8_t | mag_accuracy_flag
| magnetometer accuracy
int32_t | grv_quat_q30 [4]
| 6-axis (accel and gyro fusion) quaternion - warning use quaternion convention: WXYZ
int32_t | rv_quat_q30 [4]
| 9-axis (accel, gyro and magnetometer fusion) quaternion - warning use quaternion convention: WXYZ
int32_t | rv_accuracy_q27
| 9-axis (accel, gyro and magnetometer fusion) 3 accuracy in rad
int32_t | rv_predictive_quat_q30 [4]
| predictive 9x quaternion - warning use quaternion convention: WXYZ
int32_t | gravity_q16 [3]
| gravity estimation in sensor frame
int32_t | linear_acc_q16 [3]
| linear acceleration estimation in sensor frame
int32_t | temp_degC_q16
| temperature (1 \( [^{\circ}C]\) = 0x1000)

## Detailed Description

AdvancedSensorFusion output structure (calibrated sensors and fusion output)

The documentation for this struct was generated from the following file:

- invn_algo_asf.h